## org.apache.cassandra.auth
Class AllowAllAuthority

    java.lang.Object
      org.apache.cassandra.auth.AllowAllAuthority

All Implemented Interfaces:
  IAuthority

    public class AllowAllAuthority

extends java.lang.Object
implements IAuthority

Constructor Summary
`AllowAllAuthority()`

Method Summary
`java.util.EnumSet<Permission>` `authorize(AuthenticatedUser user, java.util.List<java.lang.Object> resource)`
`void` `validateConfiguration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllowAllAuthority

    public AllowAllAuthority()

Method Detail

### authorize

    public java.util.EnumSet<Permission> authorize(AuthenticatedUser user,
                                                   java.util.List<java.lang.Object> resource)

  Specified by:
    `authorize` in interface `IAuthority`
  Parameters:
    `user` - An authenticated user from a previous call to IAuthenticator.authenticate.
    `resource` - A List of Objects containing Strings and byte[]s: represents a resource in the hierarchy described in the Javadocs.
  Returns:
    An AccessLevel representing the permissions for the user and resource: should never return null.

### validateConfiguration

    public void validateConfiguration()
                               throws ConfigurationException

  Specified by:
    `validateConfiguration` in interface `IAuthority`
  Throws:
    `ConfigurationException`

Copyright © 2013 The Apache Software Foundation